export Path:=Z:\epoc32\gcc$(PBUILDPID)\bin;$(Path)
export PATH:=$(Path)

# prevent MAKEFLAGS variable from upsetting calls to NMAKE
unexport MAKEFLAGS

ERASE = @erase 2>>nul


ifdef EFREEZE_ALLOW_REMOVE
REMOVEMACRO := EFREEZE_ALLOW_REMOVE=-remove
endif


CLEAN : CLEANTRACECOMPILERTESTERBASIC CLEANTRACECOMPILERTESTERADVANCED

CLEANMAKEFILE : CLEANMAKEFILETRACECOMPILERTESTERBASIC CLEANMAKEFILETRACECOMPILERTESTERADVANCED

CLEANALL : CLEANALLTRACECOMPILERTESTERBASIC CLEANALLTRACECOMPILERTESTERADVANCED

FINAL : FINALTRACECOMPILERTESTERBASIC FINALTRACECOMPILERTESTERADVANCED

FREEZE : FREEZETRACECOMPILERTESTERBASIC FREEZETRACECOMPILERTESTERADVANCED

LIBRARY : LIBRARYTRACECOMPILERTESTERBASIC LIBRARYTRACECOMPILERTESTERADVANCED

MAKEFILE : MAKEFILETRACECOMPILERTESTERBASIC MAKEFILETRACECOMPILERTESTERADVANCED

RESOURCE : RESOURCETRACECOMPILERTESTERBASIC RESOURCETRACECOMPILERTESTERADVANCED

SAVESPACE : SAVESPACETRACECOMPILERTESTERBASIC SAVESPACETRACECOMPILERTESTERADVANCED

TARGET : TARGETTRACECOMPILERTESTERBASIC TARGETTRACECOMPILERTESTERADVANCED

LISTING : LISTINGTRACECOMPILERTESTERBASIC LISTINGTRACECOMPILERTESTERADVANCED

WHATMAKEFILE : WHATMAKEFILETRACECOMPILERTESTERBASIC WHATMAKEFILETRACECOMPILERTESTERADVANCED

WHAT : WHATTRACECOMPILERTESTERBASIC WHATTRACECOMPILERTESTERADVANCED

CHECKSOURCE : CHECKSOURCE_GENERIC CHECKSOURCETRACECOMPILERTESTERBASIC CHECKSOURCETRACECOMPILERTESTERADVANCED

CHECKSOURCE_GENERIC :
	@perl -S checksource.pl --preprocess -- -DARMCC -DEPOC32 -DMARM -DEABI -DARMCC_2 -DARMCC_2_2 -DGENERIC_MARM -DMARM_ARMV5 -include Z:\EPOC32\include\feature_settings.hrh -I . -I Z:\EPOC32\include Z:\TraceCompilerTester\group\BLD.INF
	@perl -S checksource.pl --metadata "\TraceCompilerTester\group\BLD.INF" "PRJ_MMPFILES MMP" "TraceCompilerTesterBasic.mmp" 7 1
	@perl -S checksource.pl --metadata "\TraceCompilerTester\group\BLD.INF" "PRJ_MMPFILES MMP" "TraceCompilerTesterAdvanced.mmp" 8 1
	@rem


TIDY :
	@echo Nothing to do


ROMFILE : STARTROMFILE ROMFILETRACECOMPILERTESTERBASIC ROMFILETRACECOMPILERTESTERADVANCED

STARTROMFILE :
	@perl -S emkdir.pl "\epoc32\rom\TraceCompilerTester\group"
	@echo // \epoc32\rom\TraceCompilerTester\group\ARMV5.IBY > \epoc32\rom\TraceCompilerTester\group\ARMV5.IBY
	@echo // >> \epoc32\rom\TraceCompilerTester\group\ARMV5.IBY


MAKEFILETRACECOMPILERTESTERBASIC_FILES= \
	"\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5"

MAKEFILETRACECOMPILERTESTERBASIC :
	perl -S makmake.pl $(NO_DEPENDENCIES) -D \TraceCompilerTester\group\TRACECOMPILERTESTERBASIC ARMV5  $(ABLD_FLAGS) $(ABLD_COMPWRAP_FLAG)

CLEANMAKEFILETRACECOMPILERTESTERBASIC :
	-$(ERASE) $(MAKEFILETRACECOMPILERTESTERBASIC_FILES)

WHATMAKEFILETRACECOMPILERTESTERBASIC :
	@echo $(MAKEFILETRACECOMPILERTESTERBASIC_FILES)

TARGETTRACECOMPILERTESTERBASIC :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" $(CFG)

SAVESPACETRACECOMPILERTESTERBASIC :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" $(CFG) CLEANBUILD$(CFG)

LISTINGTRACECOMPILERTESTERBASIC :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" MAKEWORK$(CFG) LISTING$(CFG)$(SOURCE)

FINALTRACECOMPILERTESTERBASIC :
	@rem do nothing

CLEANALLTRACECOMPILERTESTERBASIC :
	perl -S ermdir.pl \EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\

CLEANTRACECOMPILERTESTERBASIC :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" CLEAN$(CFG)

RESOURCETRACECOMPILERTESTERBASIC :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" RESOURCE$(CFG)

LIBRARYTRACECOMPILERTESTERBASIC :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" LIBRARY

FREEZETRACECOMPILERTESTERBASIC :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" FREEZE $(REMOVEMACRO)

WHATTRACECOMPILERTESTERBASIC :
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -s -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" WHAT$(CFG)

CHECKSOURCETRACECOMPILERTESTERBASIC :
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -s -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" CHECKSOURCE
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -s -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" CHECKSOURCE$(CFG)

ROMFILETRACECOMPILERTESTERBASIC :
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERBASIC\ARMV5\TRACECOMPILERTESTERBASIC.ARMV5" ROMFILE >> \epoc32\rom\TraceCompilerTester\group\ARMV5.IBY


MAKEFILETRACECOMPILERTESTERADVANCED_FILES= \
	"\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5"

MAKEFILETRACECOMPILERTESTERADVANCED :
	perl -S makmake.pl $(NO_DEPENDENCIES) -D \TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED ARMV5  $(ABLD_FLAGS) $(ABLD_COMPWRAP_FLAG)

CLEANMAKEFILETRACECOMPILERTESTERADVANCED :
	-$(ERASE) $(MAKEFILETRACECOMPILERTESTERADVANCED_FILES)

WHATMAKEFILETRACECOMPILERTESTERADVANCED :
	@echo $(MAKEFILETRACECOMPILERTESTERADVANCED_FILES)

TARGETTRACECOMPILERTESTERADVANCED :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" $(CFG)

SAVESPACETRACECOMPILERTESTERADVANCED :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" $(CFG) CLEANBUILD$(CFG)

LISTINGTRACECOMPILERTESTERADVANCED :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" MAKEWORK$(CFG) LISTING$(CFG)$(SOURCE)

FINALTRACECOMPILERTESTERADVANCED :
	@rem do nothing

CLEANALLTRACECOMPILERTESTERADVANCED :
	perl -S ermdir.pl \EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\

CLEANTRACECOMPILERTESTERADVANCED :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" CLEAN$(CFG)

RESOURCETRACECOMPILERTESTERADVANCED :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" RESOURCE$(CFG)

LIBRARYTRACECOMPILERTESTERADVANCED :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" LIBRARY

FREEZETRACECOMPILERTESTERADVANCED :
	$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" FREEZE $(REMOVEMACRO)

WHATTRACECOMPILERTESTERADVANCED :
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -s -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" WHAT$(CFG)

CHECKSOURCETRACECOMPILERTESTERADVANCED :
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -s -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" CHECKSOURCE
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -s -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" CHECKSOURCE$(CFG)

ROMFILETRACECOMPILERTESTERADVANCED :
	@$(MAKE) $(VERBOSE) $(KEEPGOING) -r -f "\EPOC32\BUILD\TraceCompilerTester\group\TRACECOMPILERTESTERADVANCED\ARMV5\TRACECOMPILERTESTERADVANCED.ARMV5" ROMFILE >> \epoc32\rom\TraceCompilerTester\group\ARMV5.IBY


